#include "varios.h"

void InhibirInterrupciones(void)
{
	asm cli
}

void ActivarInterrupciones(void)
{
	asm sti
}

int DesactivarInt(void)
{
	asm {
		pushf
		cli
		pop ax
	}
	return _AX; /* Innecesario pero evita el "warning" */
}

void RecuperarFlags(int flags)
{
	asm {
		push flags
		popf
	}
}

void EscribirVectorInt(int nnumint, const void far *pint)
{
	long far *pltabla;

	pltabla = (long far *)(nnumint * 4);
	*pltabla = (long)pint;
}

void far *LeerVectorInt(int nnumint)
{
	long far *pltablaint;

	pltablaint = (long far *)(nnumint * 4);
	return (char far *)(*pltablaint);
}

int LeerBytePuerto(int npuerto)
{
	_AX = 0;
	_DX = npuerto;
	asm in al, dx
	return _AX;
}

void EscribirBytePuerto(int npuerto, int nvalor)
{
	_AX = nvalor;
	_DX = npuerto;
	asm out dx, al
}

void ApagarMotoresDisketes(void)
{
	EscribirBytePuerto(0x3F2, 0x0D);
}
